/* Project:     OSLib
 * Description: The OS Construction Kit
 * Date:                1.6.2000
 * Idea by:             Luca Abeni & Gerardo Lamastra
 *
 * OSLin is an SO project aimed at developing a common, easy-to-use
 * low-level infrastructure for developing OS kernels and Embedded
 * Applications; it partially derives from the HARTIK project but it
 * currently is independently developed.
 *
 * OSLib is distributed under GPL License, and some of its code has
 * been derived from the Linux kernel source; also some important
 * ideas come from studying the DJGPP go32 extender.
 *
 * We acknowledge the Linux Community, Free Software Foundation,
 * D.J. Delorie and all the other developers who believe in the
 * freedom of software and ideas.
 *
 * For legalese, check out the included GPL license.
 */

#include <ll/i386/string.h>

int strcspn(const char *s, const char *reject)
{
	char *p, *spanp;
	char c, sc;

	/*
	 * Stop as soon as we find any character from reject.  Note that there
	 * must be a NULL in reject; it suffices to stop when we find that, too.
	 */
	for (p = (char *)s;;) {
		c = *p++;
		spanp = (char *)reject;
		do {
			if ((sc = *spanp++) == c)
				return (p - 1 - s);
		} while (sc != 0);
	}
	return -1;
}
